Create a userAsk AIpost https://sandbox.getunblock.com/userCreating a user which is used as the base entity for all other requestsBody Paramsfirst_namestringrequiredOnly letters (no accents). No numbers or special characters.Length between 2 and 48 characters. The combined length of first_name and last_name must not exceed 50 characters.last_namestringrequiredOnly letters (no accents). No numbers or special characters.Length between 2 and 48 characters. The combined length of first_name and last_name must not exceed 50 characters.date_of_birthstringDate format should be YYYY-MM-DDemailstringrequiredUnique per merchantsign_in_crypto_addressstringNeeds to be a valid ethereum address used for SIWE login purposes only. Initially defaults to target_address if no value is providedtarget_addressstringNeeds to be a valid ethereum address. Normally unique per merchant, unless address is allowed to have duplicatestarget_address_typestringenumSpecifies whether the address is hosted by VASP or self hosted by the userHOSTEDSELF_HOSTEDAllowed:HOSTEDSELF_HOSTEDtarget_address_vaspstringOptional parameter to specify the VASP for target address if the address is hosted. Use GET /vasps to retrieve the list of supported VASPs.target_solana_addressstringNeeds to be an active and rent exempt solana account addresstarget_solana_address_typestringenumSpecifies whether the solana address is hosted by VASP or self hosted by the userHOSTEDSELF_HOSTEDAllowed:HOSTEDSELF_HOSTEDtarget_solana_address_vaspstringOptional parameter to specify the VASP for solana target address if the address is hostedcountrystringrequiredCountry of residence of the Individual. Required a valid ISO 3166-1 alfa-2 country codebvnstringBank verification number used for customers in NigeriaphonestringPhone number in the E.164 standard. Field is mandatory for US users, and must be a valid US phone number. Optional for non-US users.accepted_terms_and_conditions_hashstringA base64 hash of the user-accepted DTR's Terms & Conditions (https://getunblock.com/epmap-terms-of-service)accepted_privacy_policy_hashstringA base64 hash of the user-accepted DTR Privacy Policy (https://www.getunblock.com/ub-privacy-and-policy)accepted_terms_of_service_hashstringA base64 hash of the user-accepted DTR Terms of Service (https://getunblock.com/terms-of-service)tokenPreferencesarray of objectstokenPreferencesADD objectexternal_user_idstringOptional external identifier for the user in your system. Used for mapping between your records and Unblock user records.third_party_end_user_agreement_hashesarray of objectsthird_party_end_user_agreement_hashesADD objectinvestment_objectivestringenumSpecifies a user’s primary financial goal or strategy for investing.BALANCEDCAPITAL_PRESERVATIONGROWTHINCOMESPECULATIONOTHERAllowed:BALANCEDCAPITAL_PRESERVATIONGROWTHINCOMESPECULATIONOTHERannual_income_rangestringenumSpecifies a user’s approximate yearly income bracket, expressed in USD.UNDER_25KFROM_25K_TO_50KFROM_50K_TO_100KFROM_100K_TO_200KFROM_200K_TO_300KFROM_300K_TO_500KFROM_500K_TO_1MFROM_1M_TO_5MOVER_5MShow 9 enum valuesip_addressstringIP Address of the user. May be required for US users that interact with USDResponses 201Successful created a user 400Body malformed 401Unauthorized 409Already exists 500Unknown errorUpdated 8 months ago